# Your Power Future

## Core Upgrade Notes

- [YPF Core Upgrade 2.2.17.8 -> 2.3.40.2 Ticket](https://enigma-interactive.atlassian.net/browse/NGEDSME-526)
- [YPF Core Upgrade 2.2.17.8 -> 2.3.40.2 Docs](https://enigma-interactive.atlassian.net/wiki/spaces/WPD/pages/34082425/WPD+Core+Upgrade+-+Your+Power+Future+-+2.2.17.8+-+2.3.40.2)
- [Core Releases](https://enigma-interactive.atlassian.net/projects/PF?selectedItem=com.atlassian.jira.jira-projects-plugin%3Arelease-page&status=released-unreleased)
- [YPF Cookie Banner Ticket](https://enigma-interactive.atlassian.net/browse/NGEDSME-527)

## Current State

- The site is able to be loaded after running `core deps && core up && core precompile && core again`
- Cookie banner is present and functional on the page, albiet with some MAJOR styling and positioning issues.

## Scratch Notes

- First thing is to upgrade the core version and then get the site working, everything else comes after the site is live.
- This makes me pray for a real play documentation site.
- Removed the unused deps and updated the rest to 2.4
- I think we needed to do: core configure to hard set some values.
- Need to do `core configure -c 2.4 -j Zulu-21 -p 1.7.1` and update .core_options to 2.4
- play_pdf module seems to have still been using log4j 1 not 2, updating a few methods using: https://logging.apache.org/log4j/2.x/migrate-from-log4j1.html fixed it.
- Commented out WPDFastTags.java from setting display type as it's deprecated, will need to find the right fix for 
- W00002Generator.java needed different sting utils
- JargonBuster needs WPDUtils
- Might have a look at building each module individually to get the right dependencies in, once theyre all fine, the site should work ?
- Core assetsL AssetAttributeSupport was not visible for the rest of the application, those 3 files were moved over
- The above is the main issue, seems to be happening from CoreEvent also?
- Issue woith JargonBuster was coming from utils.WPDUtils vs import wpd.utils.CoreHelper
- java.lang.NullPointerException: Cannot invoke "org.eclipse.jdt.internal.compiler.lookup.TypeBinding.leafComponentType()" because "binding" is null
	- Is this saing that something is missing?
	- That is exactly what it is saying, using core precompile is the way forward
- Looks like the site is now loading!
- Some styling issues are happening though.
- 08:25:57 2025-04-07 I'll run core up and see what happens.
- Looks like that no longer breaks the site, will try the same thing 10:36:10 2025-04-07 for `core refresh --total`
- Site appears to be running, next task is to remove the current cookie implementation and update it to core_cookies 2.4
- Cookies needed webpack installing, `core js-build` after copying the powercuts package.json file worked fine.
- Cookies work but need the correct styling, after this I'll work on trying to clean up the dependencies.
- Cookies seem to just have the styling issue/universal search banner loading fail ? Breaks Angular so thinking it's stopping other execution that needs to happen for the cookies
- I will be being moved off of this work to work on some of the DSO stuff, will need to get this into a state that I can push the changes onto a branch and then comback to it.
- WHY IS THE FUCKING MPSHUB BACK, I know why, I did a full refresh and broke some things!

## Pre Move List
- [ ] core_user module needs BCrypt.java
- [X] core_event 2.0 needing core_article 2.4 instead of 2.0 
	- We're importing core_article 2.4 at the site level, this one is fixed
- [X] core_asset 2.4 requires core_sass 2.4
	- this can do without, no issues without it as we add it in at the site level
- [ ] wpdutils needing `_utilities.gradient.scss`
- [X] wpd news all moved over to 2.4, removed MPsHub from deps
	- This one is fine to leave as is, I'll check if I actually need the entire change however.
	- basic build worked finme
	- full rebuild worked fine
- [X] wpd site contentneeds wpdcustomerportal 1.0
	- Same as wpd news, fine to leave as is, but will double check via build
	- basic build worked fine
	- full rebuild worked fine
- [ ] enums got changed from WPD -> YPFWPD
- [X] added in webpack + potential for vue to get alpine working
	- this will stay in no matter what

## Recurring errors
- The file {module:core_asset}/app/core/asset/CoreAssetPlugin.java could not be compiled. Error raised is : core.AssetAttributeSupport cannot be resolved

## Issue List
- play_pdf module cannot build due to log4j logger being unavailable.
- style module cannot build due to WPDFastTags not being able to see displayType from CoreForm
